## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl
Class SybaseParameterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                                      org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl
                                          org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl.SybaseParameterImpl

All Implemented Interfaces:
  SybaseParameter, Parameter, SQLObject, TypedElement, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogParameter

    public class SybaseParameterImpl

extends org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl
implements SybaseParameter

An implementation of the model object 'Sybase Parameter'.

The following features are implemented:

- `Nullable`
- `Default Value`
- `JDBC Parameter Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDefaultValue()`
`JDBCParameterType` `getJDBCParameterType()`
`boolean` `isNullable()`
`void` `setDefaultValue(java.lang.String newDefaultValue)`
`void` `setJDBCParameterType(JDBCParameterType newJDBCParameterType)`
`void` `setNullable(boolean newNullable)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl
`basicSetRoutine, basicSetStringTypeOption, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getMode, getRoutine, getStringTypeOption, isLocator, setLocator, setMode, setRoutine, setStringTypeOption`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Parameter
`getMode, getRoutine, getStringTypeOption, isLocator, setLocator, setMode, setRoutine, setStringTypeOption`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in interface `SybaseParameter`
  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `SybaseParameter.setNullable(boolean)`, `SybasesqlmodelPackage.getSybaseParameter_Nullable()`

### setNullable

    public void setNullable(boolean newNullable)

  Specified by:
    `setNullable` in interface `SybaseParameter`
  Parameters:
    `newNullable` - the new value of the 'Nullable' attribute.
  See Also:
    `SybaseParameter.isNullable()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `SybaseParameter`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `SybaseParameter.setDefaultValue(String)`, `SybasesqlmodelPackage.getSybaseParameter_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `SybaseParameter`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' attribute.
  See Also:
    `SybaseParameter.getDefaultValue()`

### getJDBCParameterType

    public JDBCParameterType getJDBCParameterType()

  Specified by:
    `getJDBCParameterType` in interface `SybaseParameter`
  Returns:
    the value of the 'JDBC Parameter Type' attribute.
  See Also:
    `JDBCParameterType`, `SybaseParameter.setJDBCParameterType(JDBCParameterType)`, `SybasesqlmodelPackage.getSybaseParameter_JDBCParameterType()`

### setJDBCParameterType

    public void setJDBCParameterType(JDBCParameterType newJDBCParameterType)

  Specified by:
    `setJDBCParameterType` in interface `SybaseParameter`
  Parameters:
    `newJDBCParameterType` - the new value of the 'JDBC Parameter Type' attribute.
  See Also:
    `JDBCParameterType`, `SybaseParameter.getJDBCParameterType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl`